import './css/index.less';
import './css/reset.css';
import './css/popup.less';
import './js/popup';
import {post,config,getUrlArgObject} from './js/promise.js';
import {bqtsFun,ybzlFun,cyywFun,knzdFun,jtFun,tjwzFun,tjtgFun,tjhyFun,tjfjFun,yszdFun} from './js/indexDom';
//地址栏参数 ?age=99&lisJson=&diseaseId=&diagJson=糖尿病&pastJson=无心脏病&otherJson=无高血压&pacsJson=腹部B超:无异常, 报告日期:2019-05-07&sex=男&symptomJson=恶心呕吐腰痛&vitalJson=血压左上肢13/12mmHg

// var msg= {
// 	age: 28,
//   diag: "急性胰腺炎",
//   diseaseId: 280,
//   featureType: "1,4,5,6,7,8,22",
//   lis: [
//     {
//       detailName: "HGB*3/HCT",
//       maxValue: "",
//       minValue: "",
//       name: "血常规",
//       otherValue: "",
//       source: "0",
//       time: "2019-05-07 17:11",
//       uniqueName: "血常规-HGB*3/HCT",
//       units: "",
//       value: "4"
//     }
//   ],
//   other: "无高血压",
//   pacs: "腹部B超:无异常, 报告日期:2019-05-07",
//   sex: 1,
//   symptom: "恶心呕吐腰痛", //胸痛，背痛，恶心，呕吐     //恶心呕吐腰痛   //牙周袋形成
//   vital: "血压左上肢13/12mmHg",
// }
var msg = {
  age: getUrlArgObject('age'),
  diseaseId: getUrlArgObject('diseaseId') || 21773,
  sex: getUrlArgObject('sex') == '男'?1:(getUrlArgObject('sex') == '女'?2:(getUrlArgObject('sex') == '通用'?3:getUrlArgObject('sex'))),
  symptom: getUrlArgObject('symptomJson'),
  vital: getUrlArgObject('vitalJson'),
  lis: getUrlArgObject('lisJson')? JSON.parse(getUrlArgObject('lisJson')) : [],
  pacs: getUrlArgObject('pacsJson'),
  diag: getUrlArgObject('diagJson'),
  featureType: "1,4,5,6,7,8,22",
  other: getUrlArgObject('otherJson') + getUrlArgObject('pastJson'),
}//推送相关信息

window.msg = msg
window.pushMessage = {}


post(config.pushInner,msg).then((res)=>{
  var data = res.data
  if(data.code == 0){
    var result = data.data;
    if(result.medicalIndications && result.medicalIndications.length>0){//病情提示
      window.pushMessage = result.medicalIndications;//计算的需要的相关数据
      bqtsFun(result.medicalIndications)
    }
    if(result.treat){
      if(result.treat.commonTreatment && result.treat.commonTreatment.content){
        ybzlFun(result.treat.commonTreatment.content)//一般治疗
        $(".conditionHintZhiliaoNull").css("display","none")
      }
      if(result.treat.treatment && result.treat.treatment.length>0){
        cyywFun(result.treat.treatment)//常用药物
      }
    }
    if(result.dis){
      var proB = result.dis['可能诊断'] || []//可能
      var proY = result.dis['确诊'] || []//确诊
      var proWaring = result.dis['警惕'] || []
      yszdFun(proY)//疑似
      knzdFun(proB)//可能
      jtFun(proWaring)//警惕
      if(proY.length == 0){
        $(".conditionHintMay").css("display","none")
      }else{
        $(".conditionHintMayNull").css("display","none")
      }
    }
    if(result.symptom && result.symptom.length > 0){//推荐问诊症状
      $(".conditionHintWzNull").css("display","none")
      tjwzFun(result.symptom)
    }
    if(result.vital && result.vital.length > 0){//体格检查
      $(".conditionHintTgNull").css("display","none")
      tjtgFun(result.vital)
    }
    if(result.pacs.length > 0 && result.lab.length > 0){
      $(".conditionHintAssistLis").css({
        "border-top":"1px solid #D1D1D1"
      })
    }
    if(result.lab && result.lab.length > 0){//化验
      $(".conditionHintInspectNull").css("display","none")
      $(".conditionHintAssistNull").css("display","none")
      tjhyFun(result.lab)
    }
    if(result.pacs && result.pacs.length > 0){//辅检
      $(".conditionHintInspectNull").css("display","none")
      $(".conditionHintAssistNull").css("display","none")
      tjfjFun(result.pacs)
    }
  }
})

